package fr.openium.consentium_ui.data.remote.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
internal data class VendorDTO(
    @SerialName("identifier") val id: String,
    @SerialName("order") val order: Int,
    @SerialName("isRequired") val isRequired: Boolean,
    @SerialName("isAccepted") val isAccepted: Boolean,
    @SerialName("translations") val translations: List<VendorTranslationDTO>,
)