package fr.openium.consentium_ui.domain.adapter

import fr.openium.consentium_ui.data.remote.model.VendorDTO
import fr.openium.consentium_ui.domain.model.VendorData

internal fun VendorDTO.toVendorData() =
    VendorData(
        identifier = id,
        order = order,
        isRequired = isRequired,
        isAccepted = isAccepted,
        translations = translations.toVendorTranslationDataList(),
    )

internal fun List<VendorDTO>.toVendorDataList() = map { it.toVendorData() }