package fr.openium.consentium_ui.ui.adapter

import fr.openium.consentium_ui.domain.model.ContentConfigData
import fr.openium.consentium_ui.ui.model.GeneralConsentUI

internal fun ContentConfigData.toGeneralConsentUI(): GeneralConsentUI =
    GeneralConsentUI(
        applicationName = applicationName,
        iconUrl = iconUrl,
        mainConsentText = mainTextTranslation.first().mainConsentText,
        consentPageUrl = mainTextTranslation.first().consentPageUrl,
    )
