package fr.openium.consentium_ui.ui.components.core.button

import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.Color
import fr.openium.consentium_ui.ui.components.style.ConsentiumUITheme

internal enum class ConsentiumUIButtonStyle {
    PRIMARY,
    SECONDARY,
}

@Composable
internal fun ConsentiumUIButtonStyle.backgroundColor(): Color {
    return when (this) {
        ConsentiumUIButtonStyle.PRIMARY -> ConsentiumUITheme.colors.primary
        ConsentiumUIButtonStyle.SECONDARY -> ConsentiumUITheme.colors.secondary
    }
}
