package fr.openium.consentium_ui.data.remote.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
internal data class GetConsentConfigDTO(
    @SerialName("id") val installationId: String,
    @SerialName("name") val appName: String,
    @SerialName("icon") val icon: String? = null,
    @SerialName("consentPageUrl") val consentPageUrl: String,
    @SerialName("translations") val consentMainTextTranslation: List<MainConsentTextTranslationDTO>,
    @SerialName("purposes") val purposes: List<PurposeDTO>,
)