package fr.openium.consentium_ui.domain.adapter

import fr.openium.consentium_ui.data.remote.model.VendorTranslationDTO
import fr.openium.consentium_ui.domain.model.VendorTranslationData

internal fun VendorTranslationDTO.toVendorTranslationData() =
    VendorTranslationData(
        id = id,
        language = language,
        text = text,
    )

internal fun List<VendorTranslationDTO>.toVendorTranslationDataList() = map { it.toVendorTranslationData() }