package fr.openium.consentium_ui.ui.adapter

import fr.openium.consentium_ui.domain.model.PurposeData
import fr.openium.consentium_ui.ui.model.PurposeUI

internal fun PurposeData.toPurposeUI(): PurposeUI = PurposeUI(
    id = identifier,
    isRequired = isRequired,
    choice = choice.toPurposeStatusUI(),
    title = translations.first().name,
    description = translations.first().text,
    vendors = vendors.toVendorUIList(),
)