package fr.openium.consentium.domain.di

import dagger.hilt.EntryPoint
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import fr.openium.consentium.domain.repository.ConsentiumRepository

@EntryPoint
@InstallIn(SingletonComponent::class)
internal interface RepositoryEntryPoint {
    fun provideConsentiumRepository(): ConsentiumRepository
}